/**
 * Created by lemanzhang on 2015/7/10.
 */
var through = require("through");
var gutil = require("gulp-util");
var request = require("request");

module.exports = function(url, errorCallback){
    var stream = through(function(file, enc, cb){
        this.push(file);
        cb();
    });

    request({url: url, encoding: null}, function(error, response, body){
        if(!error && response.statusCode == 200){
            var fileName = url.split('/').pop();
            var file = new gutil.File({path: fileName, contents: new Buffer(body)});
            stream.queue(file);
            stream.emit('end');
        }else{
            errorCallback(error || response.statusCode);
            // stream.emit('end');
        }
    });

    return stream;
}

